Data Structures | Functions | Variables

# waypoint_gui.cpp File Reference

Handling of waypoints gui. More...

`#include "stdafx.h"`
`#include "window_gui.h"`
`#include "gui.h"`
`#include "textbuf_gui.h"`
`#include "vehiclelist.h"`
`#include "vehicle_gui.h"`
`#include "viewport_func.h"`
`#include "strings_func.h"`
`#include "command_func.h"`
`#include "company_func.h"`
`#include "company_base.h"`
`#include "window_func.h"`
`#include "waypoint_base.h"`
`#include "widgets/waypoint_widget.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Data Structures
struct | WaypointWindow
| GUI for accessing waypoints and buoys. More...
## Functions
void | ShowWaypointWindow (const Waypoint *wp)
| Show the window for the given waypoint.
## Variables
static const NWidgetPart | _nested_waypoint_view_widgets []
| The widgets of the waypoint view.
static const WindowDesc | _waypoint_view_desc (WDP_AUTO, 260, 118, WC_WAYPOINT_VIEW, WC_NONE, 0, _nested_waypoint_view_widgets, lengthof(_nested_waypoint_view_widgets))
| The description of the waypoint view.

## Detailed Description

Handling of waypoints gui.

Definition in file waypoint_gui.cpp.

## Function Documentation

void ShowWaypointWindow | ( | const Waypoint * | wp | ) |

Show the window for the given waypoint.

Parameters:

  | wp | The waypoint to show the window for.

Definition at line 184 of file waypoint_gui.cpp.

References _waypoint_view_desc, and Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >::index.

## Variable Documentation

const NWidgetPart _nested_waypoint_view_widgets[]`[static]`

Initial value:

     {
      NWidget(NWID_HORIZONTAL),
        NWidget(WWT_CLOSEBOX, COLOUR_GREY),
        NWidget(WWT_CAPTION, COLOUR_GREY, WID_W_CAPTION), SetDataTip(STR_WAYPOINT_VIEW_CAPTION, STR_TOOLTIP_WINDOW_TITLE_DRAG_THIS),
        NWidget(WWT_SHADEBOX, COLOUR_GREY),
        NWidget(WWT_STICKYBOX, COLOUR_GREY),
      EndContainer(),
      NWidget(WWT_PANEL, COLOUR_GREY),
        NWidget(WWT_INSET, COLOUR_GREY), SetPadding(2, 2, 2, 2),
          NWidget(NWID_VIEWPORT, COLOUR_GREY, WID_W_VIEWPORT), SetMinimalSize(256, 88), SetPadding(1, 1, 1, 1), SetResize(1, 1),
        EndContainer(),
      EndContainer(),
      NWidget(NWID_HORIZONTAL),
        NWidget(WWT_PUSHTXTBTN, COLOUR_GREY, WID_W_CENTER_VIEW), SetMinimalSize(100, 12), SetResize(1, 0), SetFill(1, 0), SetDataTip(STR_BUTTON_LOCATION, STR_BUOY_VIEW_CENTER_TOOLTIP),
        NWidget(WWT_PUSHTXTBTN, COLOUR_GREY, WID_W_RENAME), SetMinimalSize(100, 12), SetResize(1, 0), SetFill(1, 0), SetDataTip(STR_BUTTON_RENAME, STR_BUOY_VIEW_CHANGE_BUOY_NAME),
        NWidget(WWT_PUSHTXTBTN, COLOUR_GREY, WID_W_SHOW_VEHICLES), SetMinimalSize(15, 12), SetDataTip(STR_SHIP, STR_STATION_VIEW_SCHEDULED_SHIPS_TOOLTIP),
        NWidget(WWT_RESIZEBOX, COLOUR_GREY),
      EndContainer(),
    }

The widgets of the waypoint view.

Definition at line 152 of file waypoint_gui.cpp.

const WindowDesc _waypoint_view_desc(WDP_AUTO, 260, 118, WC_WAYPOINT_VIEW, WC_NONE, 0, _nested_waypoint_view_widgets, lengthof(_nested_waypoint_view_widgets))`[static]`

The description of the waypoint view.

Referenced by ShowWaypointWindow().